{ config, pkgs, ... }:
let
  promu = pkgs.stdenv.mkDerivation rec {
    pname = "promu";
    version = "0.6.0";
    src = builtins.fetchurl {
      url = "https://github.com/prometheus/promu/releases/download/v${version}/promu-${version}.linux-amd64.tar.gz";
      sha256 = "1d1d2932411e6c4f36eb578ecd3171efd6858200648d58419f26c77fe51a315d";
    };
    unpackPhase = "unpackFile $src";
    installPhase = ''
      mkdir -p $out/bin
      cp promu-${version}.linux-amd64/promu $out/bin/promu
    '';
  };
in {
  environment.systemPackages = with pkgs; [
    kubectl
    kubectx
    kustomize
    argocd
    k9s
    aws-iam-authenticator
    promu
  ];
}
